# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Allow Juju environments to be partially created."""


statements = [
    """
ALTER TABLE juju_environment
    ALTER COLUMN endpoint DROP NOT NULL,
    ALTER COLUMN username DROP NOT NULL,
    ALTER COLUMN password DROP NOT NULL
""",
    """
ALTER TABLE juju_service
    ALTER COLUMN charm DROP NOT NULL
""",
    """
ALTER TABLE juju_environment_created_notice
    ALTER COLUMN endpoint DROP NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
