# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Support for USNs in the resource database.
"""


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


STATEMENTS = [
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE operation TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE operation_id_seq TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE computer_packages TO landscape_maintenance
""",
]
