# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Add NOT NULL constraint to the juju_environment_id column of region
"""


STATEMENTS = [
    """
ALTER TABLE region ALTER juju_environment_id SET NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
