from . import __doc__

STATEMENTS = [
    """ALTER TABLE person
ADD COLUMN IF NOT EXISTS allowable_emails text[]
""",
]

REVERSE_STATEMENTS = [
    """ALTER TABLE person
DROP COLUMN IF EXISTS allowable_emails
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")
    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
