# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add the timestamp column to the pending_computer table.  Any existing
columns will have their timestamp value set to now.
"""


def apply(store):
    print("Adding timestamp column to pending_computer table.")
    store.execute("ALTER TABLE pending_computer ADD COLUMN timestamp TIMESTAMP")
    store.execute("UPDATE pending_computer SET timestamp=now()")
    store.execute("ALTER TABLE pending_computer ALTER COLUMN timestamp SET NOT NULL")
