# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add a timezone column to the person table.  The default timezone for
existing and new people is UTC.
"""


def apply(store):
    print("Adding person.timezone.")
    store.execute(
        "ALTER TABLE person" "    ADD COLUMN timezone TEXT NOT NULL DEFAULT 'UTC'"
    )
