# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add address and state to Juju units."""


statements = [
    """
ALTER TABLE juju_unit ADD COLUMN state TEXT
""",
    """
ALTER TABLE juju_unit ADD COLUMN address TEXT
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
