# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add ON DELETE CASCADE constraint on attachment.article_id"""


def apply(store):
    print(__doc__)
    store.execute(
        """
    ALTER TABLE attachment
        DROP CONSTRAINT attachment_article_id_fkey
    """
    )
    store.execute(
        """
    ALTER TABLE attachment
        ADD CONSTRAINT attachment_article_id_fkey
        FOREIGN KEY (article_id) REFERENCES article
        ON DELETE CASCADE
    """
    )
