# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a public_endpoint field to the cloud table."""


STATEMENTS = [
    """
ALTER TABLE cloud ADD COLUMN public_endpoint TEXT
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
