# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a fetch_fingerprint column to the repository_pocket table."""


STATEMENTS = [
    """
ALTER TABLE repository_pocket ADD COLUMN fetch_fingerprint TEXT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
