# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a secret_material column to the gpg_key table."""


STATEMENTS = [
    """
ALTER TABLE gpg_key ADD COLUMN secret_material TEXT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
